package com.jz.dm.controller;

import com.jz.common.utils.Result;
import com.jz.dm.service.ApiDirectionService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;
import reactor.core.publisher.Mono;

/**
 * @author ZC
 * @PACKAGE_NAME: com.jz.dm.controller
 * @PROJECT_NAME: jz-dm-parent
 * @NAME: ApiLogController
 * @DATE: 2020-12-25/14:25
 * @DAY_NAME_SHORT: 周五
 * @Description:
 **/
@RestController
@RequestMapping("api/direction")
@Api(tags = "API字典信息Controller")
public class ApiDirectionController {

    @Autowired
    private ApiDirectionService apiDirectionService;

    /**
     * @Description:api类型列表
     * @return: api类型列表
     * @Author: Mr.zhang
     * @Date: 2020-12-24
     */
    @ApiOperation("api类型列表")
    @PostMapping(value = "/getApiTypeList")
    public Mono<Result> getApiTypeList(@RequestParam(name = "parentKey") String parentKey) {
        return Mono.fromSupplier(() -> Result.of_success(apiDirectionService.getApiType(parentKey)));
    }
    /**
     * @Description:查询某个类型的字典值
     * @return: 查询某个类型的字典值
     * @Author: Mr.zhang
     * @Date: 2020-12-24
     */
    @ApiOperation("查询某个类型的字典值")
    @PostMapping(value = "/getDirectionVal")
    public Mono<Result> getDirectionVal(@RequestParam(name = "code",required = false) String code,
                                        @RequestParam(name = "key",required = false) String key) {
        return Mono.fromSupplier(() -> Result.of_success(apiDirectionService.getDirectionVal(key,code)));
    }
}
