package com.jz.dm.models.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @author ZC
 * @PACKAGE_NAME: com.jz.dm.models.dto
 * @PROJECT_NAME: jz-dm-parent
 * @NAME: AuthInfoDto
 * @DATE: 2020-12-27/0:31
 * @DAY_NAME_SHORT: 周日
 * @Description:
 **/
@Data
@ApiModel("授权信息返回体")
public class AuthInfoDto implements Serializable {
    @ApiModelProperty(value = "id")
    private Long id;

    @ApiModelProperty(value = "授权组织id")
    private Long apiOrgId;

    @ApiModelProperty(value = "授权组织名称")
    private String  orgName;

    @ApiModelProperty(value = "授权组织名称")
    private String  authCode;

    @ApiModelProperty(value = "apiKey")
    private String apiKey;

    @ApiModelProperty(value = "授权方式:1.按次调用 2.按时间调用,3永久有效")
    private String authMode;

    @ApiModelProperty(value = "开始时间")
    private String validStartTime;

    @ApiModelProperty(value = "结束时间")
    private String validEndTime;

    @ApiModelProperty(value = "状态(1-正常 2-作废")
    private String status;

    @ApiModelProperty(value = "备注")
    private String remark;

    @ApiModelProperty(value = "创建时间")
    private String createDate;

    @ApiModelProperty(value = "创建用户")
    private String createUser;
}
