package com.jz.dm.models.req.make;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * @author ZC
 * @PACKAGE_NAME: com.jz.dm.models.req.make
 * @PROJECT_NAME: jz-dm-parent
 * @NAME: ApiInterfaceReq
 * @DATE: 2020-12-29/10:48
 * @DAY_NAME_SHORT: 周二
 * @Description:
 **/
@Data
@ApiModel(value = "api基本信息")
public class ApiInterfaceReq implements Serializable {
    @ApiModelProperty(value = "api类型:1 实时接入  2 数据银行制作API, 3 数据银行制作数据包 6标签查询 9自定义",required = true)
    @NotNull(message = "api类型不能为空")
    public String apiType;

    @ApiModelProperty(value = "接口描述",required = false)
    public String apiDesc;

    @ApiModelProperty(value = "传输方式:http https",required = true)
    @NotNull(message = "传输方式不能为空")
    public String transMode;

    @ApiModelProperty(value = "加密方式0 无,1:MD5 2:RSA",required = true)
    @NotNull(message = "加密方式不能为空")
    public String signType;

    @ApiModelProperty(value = "接入类型:对应字典表key",required = true)
    @NotNull(message = "接入类型不能为空")
    public String joinType;

    @ApiModelProperty(value = "目标地址",required = true)
    @NotNull(message="目标地址不能为空")
    public String targetUrl;

    @ApiModelProperty(value = "超时时间",required = true)
    @NotNull(message="超时时间不能为空")
    public String timeout;

    @ApiModelProperty(value = "api描述",required = false)
    public String apiFunction;

    @ApiModelProperty(value = "父类文件id,一级文件夹传入0",required = true)
    @NotNull(message="父类id文件id不能为空")
    public Long parentId;

    @ApiModelProperty(value = "项目id",required = true)
    @NotNull(message="项目id不能为空")
    public Long projectId;


    @ApiModelProperty(value = "状态",required = false)
    public String status;

    @ApiModelProperty(value = "更新时传入api自增id",required = false)
    public Long id;

}
